package net.sf.itcb.common.server.batch;

import java.io.File;
import java.lang.reflect.Method;


/**
 * This interface allows modules to add specific process before calling the service method in ItcbCommonBatch.
 * 
 * It can be useful if you want to complete request objects from additional mecanisms
 * 
 * @author Pierre Le Roux
 * 
 * @see ItcbCommonBatch
 */
public interface BeforeCallInterceptor {

	/**
	 * 
	 * @param file xml original file
	 * @param method service method that is going to be called
	 * @param request request
	 * @return true if this interceptor wants the service call to be done / false if no process has to be done for this
	 */
	boolean doBeforeCall(File file, Method method, Object request);

}
